%global npm_name ajv
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.4.0
Release: %mkrel 6
Summary: Another JSON Schema Validator
License: MIT
Group: Development/Other
URL: https://github.com/epoberezkin/ajv
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(fast-deep-equal)
Requires: npm(fast-json-stable-stringify)
Requires: npm(json-schema-traverse)
Requires: npm(uri-js)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep fast-deep-equal ">=2.0.0"
%nodejs_fixdep uri-js ">=4.2.1"
%nodejs_fixdep uri-js ">=4.2.1"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr scripts %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 6.4.0-6.mga9
+ Revision: 1820232
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 6.4.0-5.mga8
+ Revision: 1601963
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 6.4.0-4.mga8
+ Revision: 1502381
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.4.0-3.mga7
+ Revision: 1280143
- Mageia 7 Mass Rebuild

* Tue May 22 2018 kekepower <kekepower> 6.4.0-2.mga7
+ Revision: 1231629
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 6.4.0-1.mga7
+ Revision: 1226988
- imported package nodejs-ajv

